/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.dokumente.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QDokumentVorlage extends EntityPathBase<DokumentVorlage> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// DateiImport
, "dateiImport.customDataStorage"
, "dateiImport.datei"
	// Wahltermin
, "wahltermin.customDataStorage"
, "wahltermin.einsehenRolle"
, "wahltermin.mandant"
, "wahltermin.stichwahlWahlterminUrspruenglich"
	// Wahl
, "wahl.berichtetAn"
, "wahl.customDataStorage"
, "wahl.einsehenRolle"
, "wahl.wahlart"
, "wahl.wahltermin"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QDokumentVorlage dokumentVorlage = new QDokumentVorlage("dokumentVorlage");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final EnumPath<de.ivu.elect.business.dokumente.entity.DokumentVorlageAnlageArt> anlageArt = createEnum("anlageArt", de.ivu.elect.business.dokumente.entity.DokumentVorlageAnlageArt.class);

  public final StringPath beschreibung = createString("beschreibung");

  public final EnumPath<de.ivu.elect.business.dokumente.entity.DokumentVorlageArt> dokumentVorlageArt = createEnum("dokumentVorlageArt", de.ivu.elect.business.dokumente.entity.DokumentVorlageArt.class);

  public final StringPath name = createString("name");

  public final StringPath versionsnummer = createString("versionsnummer");


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.datei.entity.QDateiImport dateiImport;

  public final de.ivu.elect.business.wahl.entity.QWahltermin wahltermin;

  public final de.ivu.elect.business.wahl.entity.QWahl wahl;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QDokumentVorlage(Class<? extends DokumentVorlage> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.dateiImport = inits.isInitialized("dateiImport") ? new de.ivu.elect.business.datei.entity.QDateiImport(forProperty("dateiImport"), inits.get("dateiImport")) : null;// de.ivu.elect.business.datei.entity.QDateiImport.dateiImport;
    this.wahltermin = inits.isInitialized("wahltermin") ? new de.ivu.elect.business.wahl.entity.QWahltermin(forProperty("wahltermin"), inits.get("wahltermin")) : null;// de.ivu.elect.business.wahl.entity.QWahltermin.wahltermin;
    this.wahl = inits.isInitialized("wahl") ? new de.ivu.elect.business.wahl.entity.QWahl(forProperty("wahl"), inits.get("wahl")) : null;// de.ivu.elect.business.wahl.entity.QWahl.wahl;
  }

  public QDokumentVorlage(String variable) {
    this(DokumentVorlage.class, forVariable(variable), INITS);
  }

  public QDokumentVorlage(Path<? extends DokumentVorlage> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QDokumentVorlage(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QDokumentVorlage(PathMetadata metadata, PathInits inits) {
    this(DokumentVorlage.class, metadata, inits);
  }
}
